MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::VWN2LCFunctional Class Reference

The VWN2LCFunctional computes energies and densities using the VWN2 local correlation term (from Vosko, Wilk, and Nusair). More...

`#include <functional.h>`

Inheritance diagram for sc::VWN2LCFunctional:

List of all members.

## Public Member Functions

| VWN2LCFunctional ()
| Construct a VWN2 functional.
| VWN2LCFunctional (const Ref< KeyVal > &)
| Construct a VWN2 functional.
| VWN2LCFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

## Detailed Description

The VWN2LCFunctional computes energies and densities using the VWN2 local correlation term (from Vosko, Wilk, and Nusair).

## Member Function Documentation

void sc::VWN2LCFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::VWNLCFunctional.

The documentation for this class was generated from the following file:

- functional.h